Bug 510534 - RFE: rpm should print warning when manually using -i, -U and esp. -F
RFE: rpm should print warning when manually using -i, -U and esp. -F
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 13:15 EDT by James Antill
Modified: 2014-01-21 18:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 07:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-07-09 13:15:02 EDT
Description of problem:
 People who are using rpm -i/-U/-F instead of yum are now not getting any data into the yumdb, so it seems like a good idea to issue a warning (if stderr is a tty) if someone uses those options.
 I assume this would be Fedora specific, or maybe a compile optional.

 We don't need to go overboard, just something like "Unless you know what you are doing, you probably want to use `yum install blah' instead".
Comment 1 Panu Matilainen 2009-11-25 07:24:44 EST
Sorry but no, rpm is not going to illegitimize or deprecate itself installing and removing packages.

If you want to have such warnings, put them into yum itself: a warning in rpm wouldn't prevent the install/erase, so yum would complain anyway on next operation. So you have the same chance at educating the average Fedora users to prefer yum over rpm as rpm would have, without polluting rpm default output with messages that dont belong there.

In other words, just make the warning discussed in bug 530781 more to the point.

Note You need to log in before you can comment on or make changes to this bug.